- dotTech - http://dottech.org -

Firefox 16 has a huge security vulnerability, do not upgrade until Firefox 16.0.1 is released

Posted By Ashraf On October 10, 2012 @ 10:50 PM In Browsers | 6 Comments

[1]

Update: Firefox 16.0.1 is out now. See this article [2] for more information.

As I was trolling the web to find interesting tidbits to share with dotTechies, I learned that Firefox 16 has been released. I set the story aside for publication later in the day. Once later in the day arrives, as I sit down to write and edit articles, I see something about Firefox 16 being cancelled. Huh?

Apparently Firefox 16 has a significant security vulnerability that has forced Mozilla to remove it from Mozilla’s website and stop pushing it to users. Here is what Mozilla has to say about it:

Mozilla is aware of a security vulnerability in the current release version of Firefox (version 16). We are actively working on a fix and plan to ship updates tomorrow. Firefox version 15 is unaffected.

The vulnerability could allow a malicious site to potentially determine which websites users have visited and have access to the URL or URL parameters. At this time we have no indication that this vulnerability is currently being exploited in the wild.

Firefox 16 has been temporarily removed from the current installer page and users will automatically be upgraded to the new version as soon as it becomes available.  As a precaution, users can downgrade to version 15.0.1 by following these instructions [http://www.mozilla.org/firefox/new/].  Alternatively, users can wait until our patches are issued and automatically applied to address the vulnerability.

“The vulnerability could allow a malicious site to potentially determine which websites users have visited and have access to the URL or URL parameters“? Sounds semi-scary. Mozilla will release a patched Firefox 16.0.1 tomorrow to fix the issue — don’t update until then. If you have already updated, Mozilla wants you to downgrade to Firefox 15.0.1 but I simply suggest stop using Firefox for the night.

Epic fail, Mozilla.

[Thanks Grantwhy [3]!]


Article printed from dotTech: http://dottech.org

URL to article: http://dottech.org/84373/firefox-16-has-a-huge-security-vulnerability-do-not-upgrade-until-firefox-16-0-1-is-released/

URLs in this post:

[1] Image: http://dottech.org/wp-content/uploads/2012/10/2012-10-10_224905.png

[2] this article: http://dottech.org/84449/firefox-16-0-1-is-out-it-is-safe-to-upgrade/

[3] Grantwhy: http://dottech.orgdottech.org/forums/gen-tech/firefox-16-has-a-security-vulnerability-do-not-use/

© 2008-2012 dotTech.org | All content is the property of its rightful owner.